---
deprecated: true
search:
  tags:
    - DAM
    - PUT
seo:
  description: >-
    Sets or updates the folder_id for… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/dam/folders/{folder_id}/items/bulk endpoint
    in the Management API.
sidebar:
  label: Bulk Set Media Folder
  badge: PUT
title: Bulk Set Media Folder
type: openapi-operation
---
Sets or updates the folder_id for multiple media items (images, videos, files)
Deprecated: use PUT /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/media/folder instead.

`PUT /api/v1/{team_slug}/{app_slug}/dam/folders/{folder_id}/items/bulk`

**Deprecated.**

**Request body** (`application/json`, required)

Items to move

- `items` (internal_pkg_webserver_v1.BulkSetMediaFolderItem[], required)

Request body example:

```json
{
  "items": [
    {
      "id": "string",
      "type": "image"
    }
  ]
}
```

**Responses**

- `200` — Items moved successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
